function rv = rodrigues( v, ev )
angle = norm(ev);

if (angle == 0)
    rv = v;
else
    axis = ev/angle;
    rv = v*cos(angle) + cross(axis,v)*sin(angle) + axis*dot(axis,v)*(1-cos(angle));
end

end

